libmpdclient 2.9

- Main Page
- Classes
- Files

- File List
- File Members

Functions
playlist.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
void | mpd_playlist_free (struct mpd_playlist *playlist)
mpd_malloc struct mpd_playlist * | mpd_playlist_dup (const struct mpd_playlist *playlist)
mpd_pure const char * | mpd_playlist_get_path (const struct mpd_playlist *playlist)
mpd_pure time_t | mpd_playlist_get_last_modified (const struct mpd_playlist *playlist)
mpd_malloc struct mpd_playlist * | mpd_playlist_begin (const struct mpd_pair *pair)
bool | mpd_playlist_feed (struct mpd_playlist *playlist, const struct mpd_pair *pair)
bool | mpd_send_list_playlists (struct mpd_connection *connection)
mpd_malloc struct mpd_playlist * | mpd_recv_playlist (struct mpd_connection *connection)
bool | mpd_send_list_playlist (struct mpd_connection *connection, const char *name)
bool | mpd_send_list_playlist_meta (struct mpd_connection *connection, const char *name)
bool | mpd_send_playlist_clear (struct mpd_connection *connection, const char *name)
bool | mpd_run_playlist_clear (struct mpd_connection *connection, const char *name)
bool | mpd_send_playlist_add (struct mpd_connection *connection, const char *name, const char *path)
bool | mpd_run_playlist_add (struct mpd_connection *connection, const char *name, const char *path)
bool | mpd_send_playlist_move (struct mpd_connection *connection, const char *name, unsigned from, unsigned to)
bool | mpd_send_playlist_delete (struct mpd_connection *connection, const char *name, unsigned pos)
bool | mpd_run_playlist_delete (struct mpd_connection *connection, const char *name, unsigned pos)
bool | mpd_send_save (struct mpd_connection *connection, const char *name)
bool | mpd_run_save (struct mpd_connection *connection, const char *name)
bool | mpd_send_load (struct mpd_connection *connection, const char *name)
bool | mpd_run_load (struct mpd_connection *connection, const char *name)
bool | mpd_send_rename (struct mpd_connection *connection, const char *from, const char *to)
bool | mpd_run_rename (struct mpd_connection *connection, const char *from, const char *to)
bool | mpd_send_rm (struct mpd_connection *connection, const char *name)
bool | mpd_run_rm (struct mpd_connection *connection, const char *name)

## Detailed Description

MPD client library.

Manipulate stored playlists.

Do not include this header directly. Use mpd/client.h instead.

Definition in file playlist.h.

## Function Documentation

void mpd_playlist_free | ( | struct mpd_playlist * | playlist | ) |

Free memory allocated by the mpd_playlist object.

mpd_malloc struct mpd_playlist* mpd_playlist_dup | ( | const struct mpd_playlist * | playlist | ) |
| read

Duplicates a mpd_playlist object.

Returns:
  the new object, or NULL on out of memory

mpd_pure const char* mpd_playlist_get_path | ( | const struct mpd_playlist * | playlist | ) |

Returns the path name of this playlist file. It does not begin with a slash.

mpd_pure time_t mpd_playlist_get_last_modified | ( | const struct mpd_playlist * | playlist | ) |

Returns:
  the POSIX UTC time stamp of the last modification, or 0 if that is unknown

mpd_malloc struct mpd_playlist* mpd_playlist_begin | ( | const struct mpd_pair * | pair | ) |
| read

Begins parsing a new playlist.

Parameters:

  pair | the first pair in this playlist (name must be "playlist")

Returns:
  the new mpd_entity object, or NULL on error (out of memory, or pair name is not "playlist")

bool mpd_playlist_feed | ( | struct mpd_playlist * | playlist,
|  | const struct mpd_pair * | pair
| ) |  |

Parses the pair, adding its information to the specified mpd_playlist object.

Returns:
  true if the pair was parsed and added to the playlist (or if the pair was not understood and ignored), false if this pair is the beginning of the next playlist

bool mpd_send_list_playlists | ( | struct mpd_connection * | connection | ) |

Obtain a list of stored playlists.

Parameters:

  connection | the connection to MPD

Returns:
  true on success, false on error

mpd_malloc struct mpd_playlist* mpd_recv_playlist | ( | struct mpd_connection * | connection | ) |
| read

Receives the next playlist from the MPD server.

Returns:
  a mpd_playlist object, or NULL on error or if the playlist list is finished

bool mpd_send_list_playlist | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

List the content of a stored playlist.

Parameters:

  connection | the connection to MPD
  name | the name of the playlist

Returns:
  true on success, false on error

bool mpd_send_list_playlist_meta | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

List the content, with full metadata, of a stored playlist.

Parameters:

  connection | the connection to MPD
  name | the name of the playlist

Returns:
  true on success, false on error

bool mpd_send_playlist_clear | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_run_playlist_clear | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_send_playlist_add | ( | struct mpd_connection * | connection,
|  | const char * | name,
|  | const char * | path
| ) |  |

bool mpd_run_playlist_add | ( | struct mpd_connection * | connection,
|  | const char * | name,
|  | const char * | path
| ) |  |

bool mpd_send_playlist_move | ( | struct mpd_connection * | connection,
|  | const char * | name,
|  | unsigned | from,
|  | unsigned | to
| ) |  |

bool mpd_send_playlist_delete | ( | struct mpd_connection * | connection,
|  | const char * | name,
|  | unsigned | pos
| ) |  |

bool mpd_run_playlist_delete | ( | struct mpd_connection * | connection,
|  | const char * | name,
|  | unsigned | pos
| ) |  |

bool mpd_send_save | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_run_save | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_send_load | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_run_load | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_send_rename | ( | struct mpd_connection * | connection,
|  | const char * | from,
|  | const char * | to
| ) |  |

bool mpd_run_rename | ( | struct mpd_connection * | connection,
|  | const char * | from,
|  | const char * | to
| ) |  |

bool mpd_send_rm | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

bool mpd_run_rm | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |